[package]
name = "nautilus_flight"
version = "0.0.1"
edition = "2024"

[dependencies]
anyhow = { workspace = true }
chrono = { workspace = true }
crc = {workspace = true}
embedded-hal = {workspace = true}
embedded-hal-bus = { workspace = true, features = ["std"] }
embedded-hal-mock = { workspace = true, optional = true }
log = { workspace = true, features = ["max_level_trace", "release_max_level_debug"] }
nautilus_common = { workspace = true }
postcard = { workspace = true }
rpi-pal = { workspace = true, features = ["hal"], optional = true }
good_lp = { workspace = true, features = ["microlp"] }

[dev-dependencies]
embedded-hal-mock = { workspace = true }
env_logger = { workspace = true }

[features]
raspi = ["dep:rpi-pal"]
sim = ["dep:embedded-hal-mock"]
